### A free/open-source library for quantitative finance

Public Types | Public Member Functions
FrankCopulaRng< RNG > Class Template Reference

Frank copula random-number generator. More...

`#include <ql/experimental/math/frankcopularng.hpp>`

List of all members.

## Public Types

typedef Sample< std::vector < Real > > | sample_type
typedef RNG | urng_type

## Public Member Functions

| FrankCopulaRng (const RNG &uniformGenerator, Real theta)
sample_type | next () const

## Detailed Description

### template<class RNG>
class QuantLib::FrankCopulaRng< RNG >

Frank copula random-number generator.